Bug 237771 - Wrong init script
Wrong init script
Product: Fedora
Classification: Fedora
Component: apmd (Show other bugs)
i386 Linux
low Severity low
: ---
: ---
Assigned To: Zdenek Prikryl
Depends On: 237769
  Show dependency treegraph
Reported: 2007-04-25 06:54 EDT by Michal Marciniszyn
Modified: 2014-02-10 18:01 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-07 09:33:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michal Marciniszyn 2007-04-25 06:54:48 EDT
+++ This bug was initially created as a clone of Bug #237769 +++

Description of problem:
If we do not have support for APM the init script ends with error code 0 without
starting apmd. Also the status does not returns correct error code when invoked.
Note that status function should always run and return something (irrespectively
whether service may or may not be runned).

Version-Release number of selected component (if applicable):

How reproducible:
with non-APM architecture

Steps to Reproduce:
1. service apmd start
2. echo $?
Actual results:

Expected results:
non-zero error code that corresponds to our guidelines.

Additional info:
When fixing this bug, please obbey our init script guidelines and be sure that
status command is implemented correctly.
Our guidelines are on following two pages:

Note You need to log in before you can comment on or make changes to this bug.